# $Id:$
# repo: RE
# restrictions:

#
# Copyright (c) 2007 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

%define ocspd_user ocspd
%define ocspd_group ocspd
%define ocspd_chroot /var/lib/ocspd

Summary: OpenCA OCSP Responder
Name: openca-ocspd
Version: 2.1.1
Release: %RErelease 1
License: OpenCA License (BSD Style)
Group: Network/Daemons
URL: http://www.openca.org/projects/ocspd
Source0: http://prdownloads.sourceforge.net/openca/openca-ocspd-%{version}.tar.gz
Patch0: openca-ocspd-2.1.1-libresolv64.patch
Patch1: openca-ocspd-2.1.1-libresolv.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
BuildRequires: libpki-devel >= 0.6.3
BuildRequires: openldap-devel >= 2.2
BuildRequires: openssl-devel >= 0.9.8
BuildRequires: libxml2-devel
Requires(pre): /usr/sbin/groupadd /usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(postun): /sbin/service

%description
The OCSP Responder is an rfc2560 compliant OCSPD responder. The purpose of such
a server is to provide an on-line tool to verify the status of a certificate
(such as Mozilla/Firefox/Netscape7).

%prep
%setup -q
%if %{?el5}0
%ifarch x86_64
%patch0 -p1 -b .libresolv64
%else
%patch1 -p1 -b .libresolv
%endif
%endif

%build
%configure --with-ocspd-user=%{ocspd_user} --with-ocspd-group=%{ocspd_group}
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__mv} ${RPM_BUILD_ROOT}/usr/etc ${RPM_BUILD_ROOT}/etc
%{__mkdir} ${RPM_BUILD_ROOT}/etc/rc.d
%{__mv} ${RPM_BUILD_ROOT}/etc/init.d ${RPM_BUILD_ROOT}%{_initrddir}
%{__mv} ${RPM_BUILD_ROOT}/usr/bin/test.sh ${RPM_BUILD_ROOT}/usr/bin/ocspd-test.sh
%{__sed} -i -e 's|^prefix=|#prefix=|' ${RPM_BUILD_ROOT}/usr/bin/ocspd-genreq.sh
%{__sed} -i -e 's|^prefix=|#prefix=|' -e '/^sbin=/s|/sbin|/usr/sbin|' ${RPM_BUILD_ROOT}%{_initrddir}/ocspd
%{__sed} -i -e 's|/usr/etc|/etc|' -e 's|/usr/var|/var|' ${RPM_BUILD_ROOT}/etc/ocspd/ocspd.xml
%{__rm} -rf ${RPM_BUILD_ROOT}%{_libdir}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%pre
# Create ocspd user/group
if getent group %ocspd_group >/dev/null 2>&1 ; then : ; else \
 /usr/sbin/groupadd -r %ocspd_group > /dev/null 2>&1 || exit 1 ; fi
if getent passwd %ocspd_user >/dev/null 2>&1 ; then : ; else \
 /usr/sbin/useradd -g %ocspd_group -M -r -s /bin/nologin \
 -c "OCSP daemon" -d %ocspd_chroot %ocspd_user 2> /dev/null \
 || exit 1 ; fi

%post
/sbin/chkconfig --add ocspd

%preun
if [ "$1" = "0" ]; then
   /sbin/chkconfig --del ocspd
fi

%postun
if [ "$1" -ge  "1" ]; then
   /sbin/service ocspd condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/ocspd/
%{_initrddir}/ocspd
%doc %{_mandir}/*/*
#%{_libdir}/pkgconfig/openca-ocspd.pc
%{_sbindir}/*

%changelog
* Sun Mar 17 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 2.1.0-1
- First build.

